# okokVehicleSales

[**YouTube Video**](https://www.youtube.com/watch?v=egPjS-pkaII)

## **Installation Guide**

#### Execute the following SQL code in your database:

```sql
CREATE TABLE `okokvehiclesales_stores`(
    `store_name` varchar(255) NOT NULL,
    `store_id` varchar(255) NOT NULL PRIMARY KEY,
    `owner` varchar(255) NULL DEFAULT NULL,
    `owner_name` varchar(255) NULL DEFAULT NULL,
    `owner_phone` varchar(255) NULL DEFAULT NULL,
    `money` varchar(255) NOT NULL,
    `business_price` varchar(255) NOT NULL,
    `vehicles_sold_owner` varchar(255) DEFAULT 0,
    `total_earned_owner` varchar(255) DEFAULT 0,
    `vehicles` longtext NULL,
    `employees` longtext NULL,
    `inactivity_date` varchar(255) DEFAULT NULL
);

CREATE TABLE `okokvehiclesales_orders`(
    `id` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
    `store_id` varchar(255) NOT NULL,
    `vehicle` varchar(255) NOT NULL,
    `price` varchar(255) NOT NULL,
    `status` varchar(255) NOT NULL,
    `employee_name` varchar(255) NOT NULL,
    `employee_id` varchar(255) NOT NULL,
    `customer_name` varchar(255) NOT NULL,
    `customer_phone` varchar(255) NOT NULL,
    `notes` varchar(255) NOT NULL,
    `date` varchar(255) NOT NULL
);

CREATE TABLE `okokvehiclesales_saleshistory`(
    `store_id` varchar(255) NOT NULL,
    `seller_id` varchar(255) NOT NULL,
    `seller_name` varchar(255) NOT NULL,
    `vehicle_name` varchar(255) NOT NULL,
    `plate` varchar(255) NOT NULL,
    `value` varchar(255) NOT NULL,
    `date` varchar(255) NOT NULL
);

CREATE TABLE `okokvehiclesales_auctions`(
    `id` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
    `store_id` varchar(255) NOT NULL,
    `vehicle` varchar(255) NOT NULL,
    `plate` varchar(255) NOT NULL,
    `starting_bid` varchar(255) NOT NULL DEFAULT 0,
    `total_bids` varchar(255) NOT NULL DEFAULT 0,
    `higher_bid` varchar(255) NOT NULL DEFAULT 0,
    `higher_bidder_id` varchar(255) DEFAULT NULL,
    `higher_bidder_name` varchar(255) DEFAULT NULL,
    `higher_bidder_phone` varchar(255) DEFAULT NULL,
    `bidders` longtext NULL
);
```

If using **ESX**, execute the following code as well:

```sql
ALTER TABLE owned_vehicles ADD okokVehicleSalesOwned varchar(255) NOT NULL DEFAULT 0;
```

If using **QBCore**, execute the following code:

```sql
ALTER TABLE player_vehicles ADD okokVehicleSalesOwned varchar(255) NOT NULL DEFAULT 0;
```

### Set the Discord Webhook URL (to enable logs)

Navigate to the `sv_utils.lua` file and paste the webhook URL in the line 2.

[How to create a Discord Webhook URL](https://ahsda89sgdh18923asd.gitbook.io/main/others/discord-webhook)

### Server artifacts

Make sure your server artifacts version is above the **5181**.

* Windows: <https://runtime.fivem.net/artifacts/fivem/build_server_windows/master/>
* Linux: <https://runtime.fivem.net/artifacts/fivem/build_proot_linux/master/>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.okokscripts.io/scripts/okokvehiclesales.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
